@charset "UTF-8";
/*
 Theme Name:     Divi Child - Shop
 Author:         Marcel Bühler
 Author URI:     kopfmedia.de
 Template:       Divi
 Version:        1.4.2
 Description: A boilerplate for Divi Child Themes
*/

/*# sourceMappingURL=style.css.map */

@import "./src/css/config/index.css";
@import "./src/css/components/index.css";
@import "./icomoon/icomoon.css";
@import "./fonts/fonts.css";
@import "./primeicons/primeicons.css";
@import "./overwrite.css";


:root {
  --font-size-base: 16px;
  --spacing-base: 1rem;
  --border-radius-small: 10px;
  --border-radius-big: 20px;
}


@view-transition {
  navigation: auto;
}

/* Die alte Seite blendet aus */
::view-transition-old(root) {
  animation: 400ms ease-in-out both fade-out;
}

/* Die neue Seite blendet ein */
::view-transition-new(root) {
  animation: 400ms ease-in-out both fade-in;
}

/* Definition der Animationen (falls der Browser sie nicht nativ anspricht) */
@keyframes fade-out {
  from {
    opacity: 1;
  }

  to {
    opacity: 0;
  }
}

@keyframes fade-in {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

#page-container {
  padding-top: 0px !important;
}


.underline-link {
  font-size: 1.1rem;
  display: flex;
  align-items: center;
  gap: 5px;
  padding-bottom: 2px;
  border-bottom: 1px solid gray;
  padding: 3px;
}



.enquiry-btn .menu-item-link-wrapper .menu-item-link {
  background-color: var(--primary-color);
  color: white;
  padding: 15px 20px;
  border-radius: 15px;
  gap: 3px;
  transition: 300ms opacity ease-in-out;
}

.enquiry-btn .menu-item-link-wrapper .menu-item-link:hover {
  color: var(--color-white) !important;
}

:root {
  --primary-color: #004c93;
  --secondary-color: #3E3E40;
  --tertiary-color: #e7e7e7f7;
}


:root {
  --color-primary-default: var(--primary-color);
  --color-primary-hover: #004c939b;

  --color-tooltip-text: var(--color-tex);

  --color-secondary-default: var(--secondary-color);
  --color-secondary-hover: #f8f8f8a0;

  --color-text: var(--secondary-color);
  --color-text-default: var(--color-text);

  --color-white: #ffffff;

  --color-tertiary: var(--color-white);
}

h1,
h2,
h3,
h4 {
  color: var(--color-golden-gradient);
}

#main-content {
  background-color: var(--color-white);
}


.primary-button {
  background-color: var(--primary-color);
  color: white;
  padding: 15px 20px;
  border-radius: 15px;
  gap: 3px;
  transition: 300ms opacity ease-in-out;
}

.secondary-button {
  background-color: inherit;
  border: var(--secondary-color) 2px solid;
  color: var(--secondary-color);
  padding: 15px 20px;
  border-radius: 15px;
  gap: 3px;
  transition: 300ms opacity ease-in-out;
}


.primary-button:hover,
.secondary-button:hover,
a:hover {
  cursor: pointer;
  opacity: 0.9;
}





/* Button Adapter */
:root {

  --button-border-radius: 10px;

  /* PRIMARY BUTTON */
  --color-primary-button-bg-color: var(--primary-color);
  --color-primary-button-text-color: var(--color-white);
  --color-primary-button-border-color: var(--primary-color);
  --color-primary-button-border-alpha: 1;

  /* SECONDARY BUTTON */
  --color-secondary-button-bg-color: var(--secondary-color);
  --color-secondary-button-text-color: var(--color-white);
  --color-secondary-button-border-color: var(--color-text);
  --color-secondary-button-border-alpha: 1;

  /* TERTIARY BUTTON */
  --color-tertiary-button-bg-color: var(--color-white);
  --color-tertiary-button-text-color: var(--color-text);
  --color-primary-tertiary-button-border-color: var(--secondary-color);

  --color-tertiary-button-border-hover-color: var(--primary-color);
  --color-tertiary-button-text-color-hover: var(--color-white);

  /* OUTLINE BUTTONS */
  --color-primary-outline-color-hover: var(--color-white);
  --color-secondary-outline-color-hover: var(--color-white);

  /* ACCESSIBILITY */
  --color-accessibility: var(--primary-color);

  /* BORDERS */
  --button-border-width: 1px;
  --quantity-controls-border-radius: 4px;
  --menu-link-color: var(--primary-color);
  --burger-icon-color: var(--primary-color);
  --menu-link-color-hover: #004c93c1;
  --body-font-size: 1.2rem;


  --vue-friendly-captcha-bg-color: #dfdfdf;



}